Create Workspace
Team administrator can create a new workspace within an organization.
Quick Navigation
Endpoint
POST /api/v1/organizations/{org_id}/workspaces
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <access_token> |
Content-Type | Yes | application/json |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
org_id | integer | Yes | Organization ID |
Request Body
{
"name": "Development Workspace"
}
Response
Success (201)
{
"success": true,
"data": {
"workspace": {
"id": 2,
"name": "Development Workspace",
"slug": "development-workspace",
"organization_id": 1
},
"message": "Workspace created successfully"
},
"message": "Workspace created successfully"
}
Features
- Auto-creation of slug from name
- Unique workspace name and slug validation within the organization
- Default settings applied
- Auto add creator as member of the workspace with Admin role
- Audit logging